Gtk_ScrolledWindow(3)

NAME - Gtk_ScrolledWindow

HEADER REQUIRED
#include <gtk--/scrolledwindow.h&gt;>

BASE CLASSES
Gtk_Bin(3)

PROPERTIES

hscrollbar
    Type: Gtk_Widget*

vscrollbar
    Type: Gtk_Widget*

hscrollbar_policy
    Type: guint:2

vscrollbar_policy
    Type: guint:2

hscrollbar_visible
    Type: guint:1

vscrollbar_visible
    Type: guint:1

window_placement
    Type: guint:2

     .IP

PUBLIC MEMBER INDEX
    Gtk_ScrolledWindow(Gtk_Adjustment &hadjustment, Gtk_Adjustment &vadjustment);
      Little restriction over gtk+ here : you have to specify either
    Gtk_ScrolledWindow();
    ~Gtk_ScrolledWindow();
    Gtk_ScrolledWindow(GtkScrolledWindow *castitem);
    void  set_hadjustment( Gtk_Adjustment& hadjustment);
    void  set_vadjustment( Gtk_Adjustment& vadjustment);
    const Gtk_Adjustment*  get_hadjustment() const;
    const Gtk_Adjustment*  get_vadjustment() const;
    void  set_policy(GtkPolicyType hscrollbar_policy, GtkPolicyType vscrollbar_policy);
    void  set_placement(GtkCornerType window_placement);
    void  add_with_viewport(const Gtk_Widget &child);
    const Gtk_HScrollbar*  get_hscrollbar() const;
    const Gtk_VScrollbar*  get_vscrollbar() const;
    GtkScrolledWindow*  gtkobj();
    const GtkScrolledWindow*  gtkobj() const;
    static bool  isGtkScrolledWindow(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkScrolledWindow  BaseObjectType;
    typedef GtkScrolledWindowClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_ObjectHandle  hscrollbar_;
    Gtk_ObjectHandle  vscrollbar_;

PRIVATE MEMBER INDEX
    static CppClassType  scrolled_window_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS